## org.eclipse.datatools.enablement.ase.catalog
Class SybaseASECatalogDatabase

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
                          org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
                              org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
                                  org.eclipse.datatools.modelbase.sql.schema.impl.DatabaseImpl
                                      org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl.SybaseASEDatabaseImpl
                                          org.eclipse.datatools.enablement.ase.catalog.SybaseASECatalogDatabase

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, ICatalogObject, SybaseASEDatabase, Database, SQLObject, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class SybaseASECatalogDatabase

extends SybaseASEDatabaseImpl
implements ICatalogObject, org.eclipse.core.runtime.IAdaptable

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl.SybaseASEDatabaseImpl
`VERSION_15`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`SybaseASECatalogDatabase()` This constructor is specially used for 'working set' functionality.
`SybaseASECatalogDatabase(java.sql.Connection connection)`

Method Summary
`boolean` `eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`java.lang.Object` `getAdapter(java.lang.Class adapter)`
`org.eclipse.emf.common.util.EList` `getCaches()`
`Database` `getCatalogDatabase()`
`org.eclipse.emf.common.util.EList` `getCatalogs()` Returns the value of the 'Catalogs' reference list.
`java.sql.Connection` `getConnection()`
`org.eclipse.emf.common.util.EList` `getDataTypes()`
`org.eclipse.emf.common.util.EList` `getRoles()`
`org.eclipse.emf.common.util.EList` `getSdsServer()`
`java.lang.String` `getTempDBName()`
`org.eclipse.emf.common.util.EList` `getWebServices()`
`boolean` `isEncryptionKeyApplicable()`
`boolean` `isWebserviceApplicable()`
`void` `refresh()`

Methods inherited from class org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl.SybaseASEDatabaseImpl
`eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eUnset, isComputedColApplicable, isFunctionalBasedIndexMemApplicable, isPartitionsApplicable, setEncryptionKeyApplicable, setTempDBName, setWebserviceApplicable, toString`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.DatabaseImpl
`getAuthorizationIds, getEvents, getSchemas, getUserDefinedTypes, getVendor, getVersion, setVendor, setVersion`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.Database
`getAuthorizationIds, getEvents, getSchemas, getUserDefinedTypes, getVendor, getVersion, setVendor, setVersion`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### SybaseASECatalogDatabase

    public SybaseASECatalogDatabase(java.sql.Connection connection)

### SybaseASECatalogDatabase

    public SybaseASECatalogDatabase()

  This constructor is specially used for 'working set' functionality. DON'T USE IT.

Method Detail

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `ICatalogObject`

### getWebServices

    public org.eclipse.emf.common.util.EList getWebServices()

  Description copied from class: `SybaseASEDatabaseImpl`

  Specified by:
    `getWebServices` in interface `SybaseASEDatabase`
  Overrides:
    `getWebServices` in class `SybaseASEDatabaseImpl`
  Returns:
    the value of the 'Web Services' containment reference list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASEDatabase_WebServices()`, `SybaseASEWebService.getDatabase()`

### getDataTypes

    public org.eclipse.emf.common.util.EList getDataTypes()

  Description copied from class: `SybaseASEDatabaseImpl`

  Specified by:
    `getDataTypes` in interface `SybaseASEDatabase`
  Overrides:
    `getDataTypes` in class `SybaseASEDatabaseImpl`
  Returns:
    the value of the 'Data Types' reference list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASEDatabase_DataTypes()`, `SybaseASEPredefinedDataType.getDatabase()`

### getCatalogs

    public org.eclipse.emf.common.util.EList getCatalogs()

  Description copied from interface: `Database`
  Returns the value of the 'Catalogs' reference list. The list contents are of type `Catalog`. It is bidirectional and its opposite is '`Database`'.

  If the meaning of the 'Catalogs' reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getCatalogs` in interface `Database`
  Overrides:
    `getCatalogs` in class `org.eclipse.datatools.modelbase.sql.schema.impl.DatabaseImpl`
  Returns:
    the value of the 'Catalogs' reference list.
  See Also:
    `SQLSchemaPackage.getDatabase_Catalogs()`, `Catalog.getDatabase()`

### getConnection

    public java.sql.Connection getConnection()

  Specified by:
    `getConnection` in interface `ICatalogObject`

### getCatalogDatabase

    public Database getCatalogDatabase()

  Specified by:
    `getCatalogDatabase` in interface `ICatalogObject`

### eIsSet

    public boolean eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### getRoles

    public org.eclipse.emf.common.util.EList getRoles()

  Description copied from class: `SybaseASEDatabaseImpl`

  Specified by:
    `getRoles` in interface `SybaseASEDatabase`
  Overrides:
    `getRoles` in class `SybaseASEDatabaseImpl`
  Returns:
    the value of the 'Roles' reference list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASEDatabase_Roles()`

### isEncryptionKeyApplicable

    public boolean isEncryptionKeyApplicable()

  Description copied from class: `SybaseASEDatabaseImpl`

  Specified by:
    `isEncryptionKeyApplicable` in interface `SybaseASEDatabase`
  Overrides:
    `isEncryptionKeyApplicable` in class `SybaseASEDatabaseImpl`
  Returns:
    the value of the 'Encryption Key Applicable' attribute.
  See Also:
    `SybaseASEDatabase.setEncryptionKeyApplicable(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEDatabase_EncryptionKeyApplicable()`

### isWebserviceApplicable

    public boolean isWebserviceApplicable()

  Description copied from class: `SybaseASEDatabaseImpl`

  Specified by:
    `isWebserviceApplicable` in interface `SybaseASEDatabase`
  Overrides:
    `isWebserviceApplicable` in class `SybaseASEDatabaseImpl`
  Returns:
    the value of the 'Webservice Applicable' attribute.
  See Also:
    `SybaseASEDatabase.setWebserviceApplicable(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEDatabase_WebserviceApplicable()`

### getCaches

    public org.eclipse.emf.common.util.EList getCaches()

  Description copied from class: `SybaseASEDatabaseImpl`

  Specified by:
    `getCaches` in interface `SybaseASEDatabase`
  Overrides:
    `getCaches` in class `SybaseASEDatabaseImpl`
  Returns:
    the value of the 'Caches' containment reference list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASEDatabase_Caches()`, `SybaseASECache.getDatabase()`

### getTempDBName

    public java.lang.String getTempDBName()

  Description copied from class: `SybaseASEDatabaseImpl`

  Specified by:
    `getTempDBName` in interface `SybaseASEDatabase`
  Overrides:
    `getTempDBName` in class `SybaseASEDatabaseImpl`
  Returns:
    the value of the 'Temp DB Name' attribute.
  See Also:
    `SybaseASEDatabase.setTempDBName(String)`, `SybaseasesqlmodelPackage.getSybaseASEDatabase_TempDBName()`

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`

### getSdsServer

    public org.eclipse.emf.common.util.EList getSdsServer()

  Description copied from class: `SybaseASEDatabaseImpl`

  Specified by:
    `getSdsServer` in interface `SybaseASEDatabase`
  Overrides:
    `getSdsServer` in class `SybaseASEDatabaseImpl`
  Returns:
    the value of the 'Sds Server' attribute list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASEDatabase_SdsServer()`